
ChiliProject - Feature # 362: Introduce Help controller to dynamically generate wiki help pages

Status: Closed Priority: Normal
Author: Gregor Schmidt Category: Documentation
Created: 2011-05-02 Assignee: Eric Davis
Updated: 2011-05-03 Due date:
Remote issue URL:
Affected version:
Description: By introducing a help controller, we could dynamically generate the help pages for wiki_syntax and 

wiki_syntax_detailed. In the long run, we are a then able to

* Overwrite/Extend the help pages in plugins, e.g. to add documentation for custom makros
* Translate the documentation to other languages

By using page cacheing we should be able to do this without significant perfomance impacts.

History
2011-05-02 10:57 am - Gregor Schmidt
One downside would be: We then need to ask admins to clear the public directory with each ChiliProject update or plugin installation/removal.

On the other hand, we could just leave the page caching aside, since the help links are probably not used very often and caching them would add this 
additional complexity without significant benefit.

2011-05-02 01:29 pm - Gregor Schmidt
- Status changed from Open to Ready for review

The pull request is at https://github.com/chiliproject/chiliproject/pull/45.

It does not include page caching, because of the expected maintenance overhead for a minimal performance benefits.

2011-05-02 01:30 pm - Gregor Schmidt
Please note: Besides the architectural changes, the pull request also includes fixes for some typos and replaces each occurrence of Redmine with 
ChiliProject within the wiki syntax documentation.

2011-05-02 09:38 pm - Eric Davis
- Target version changed from 2.0.0 to 1.4.0

- Assignee set to Eric Davis

- Status changed from Ready for review to Closed

Merged into master.

Later on I'd like to improve this a bit. I'll open issues for them

* Separate the help pages from the textile help
* Move the textile formatting and help to an included plugin (also renaming the @textilizable@ helper method)
* Change how the actions in the controller work, so there is only a "show" action that takes a params for which page (kinda like Wiki pages). Then we 
can add a help view easily.
* Maybe change how the help appears, so it's in a lightbox. Then we can have better "on page" help.
2011-05-03 06:02 am - Gregor Schmidt
Thanks a lot, Eric. That was quick.

2011-05-03 08:04 am - Felix Schäfer
Eric Davis wrote:
> * Maybe change how the help appears, so it's in a lightbox. Then we can have better "on page" help.

Not sure about that one: I do like to have the help in an extra window when editing wiki stuffâ€¦

2011-05-03 04:36 pm - Eric Davis
Felix SchÃ¤fer wrote:
> Not sure about that one: I do like to have the help in an extra window when editing wiki stuffâ€¦

I agree for the syntax (more of a reference style of help) but I was thinking of the lightbox for more of the general help. e.g. Issue->New (Help) "The new 
issue screen is used to create a new issue...". CC: #366
